
Extended Fields - Patch #2181

Support for redmine 2.3

12 Apr 2013 17:26 - Massimo Rossello

Status: Closed Start date: 12 Apr 2013

Priority: Normal Due date:  

Assignee: Andriy Lesyuk % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 0.2.2   

Redmine version: 2.3.x External issue:  

Description

Here is the only patch I applied to make the plugin work with 2.3-stable branch of redmine

diff --git a/app/views/custom_fields/_extended.html.erb b/app/views/cust

index 0294de7..364cf73 100644

--- a/app/views/custom_fields/_extended.html.erb

+++ b/app/views/custom_fields/_extended.html.erb

@@ -1,4 +1,4 @@

-<% projects = Project.all_public.active(:order => 'name'

).collect{ |project| [ project.name, project.id ] } %>

+<% projects = Project.all_public.active.order("name"

).collect{ |project| [ project.name, project.id ] } %>

  <% unless defined? observe_field %>

Related issues:

Related to Extended Fields - Bug #2182: internal error opening custom fields Closed 13 Apr 2013

Associated revisions

Revision 91 - 30 Jun 2013 18:43 - Andriy Lesyuk

Fixed #2187, #2182, #2181, #2153 and bumped to version:0.2.2

History

#1 - 07 May 2013 09:47 - Bruno Spyckerelle

I can confirm that the plugin is working like a charm with this patch with redmine 2.3.1 !

Thanks !

#2 - 12 May 2013 16:24 - Bruno Spyckerelle

I was a bit too fast, there’s a small bug with 2.3, see #2187 and the patch I provided.

#3 - 25 May 2013 21:25 - Andriy Lesyuk

- Status changed from New to Under Verification

- Assignee set to Andriy Lesyuk

- Target version set to 0.2.2

Thank you very much!

#5 - 30 Jun 2013 18:10 - Andriy Lesyuk

Could not find if order("name") is supported by Rails < 3, so using order_by(&:name) instead.

#6 - 30 Jun 2013 18:10 - Andriy Lesyuk
http://projects.andriylesyuk.com/issues/2187


- % Done changed from 0 to 100

#7 - 30 Jun 2013 18:44 - Andriy Lesyuk

- Status changed from Under Verification to Closed

Applied in changeset r91.
